<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/post_util.php';

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_ADMIN];
//顼åμ
$input_flag = "";
$teacher_nam = "";
$login_id = "";
$login_id2 = "";
$passwd = "";
$passwd2 = "";
$mail_ad = "";
$mail_ad2 = "";
$tel_num = "";
$addr = "";
$belong = "";
$comment = "";
$err_msg = "";
$file_name = "insert_tea.php";
$status_chek = array();
$status_chek =array_fill(0,3,"");

if ($_POST <> null) {
	$input_flag = chPostToForm($_POST['input_flag']);
	$teacher_nam = chPostToForm($_POST['teacher_nam']);
	$login_id = chPostToForm($_POST['login_id']);
	$login_id2 = chPostToForm($_POST['login_id2']);
	$passwd = chPostToForm($_POST['passwd']);
	$passwd2 = chPostToForm($_POST['passwd2']);
	$mail_ad = chPostToForm($_POST['mail_ad']);
	$mail_ad2 = chPostToForm($_POST['mail_ad2']);
	$tel_num = chPostToForm($_POST['tel_num']);
	$addr = chPostToForm($_POST['addr']);
	$belong = chPostToForm($_POST['belong']);
	$comment = chPostToForm($_POST['comment']);
}
if ($input_flag == 1) {
	$val_class = new valid_doub();
	$val_class->setFormPlus('tea_make');
	$val_class->setErrMsgPlus($_POST);
	if ($val_class->err_msg == "") {
		$data_object = new CDbAccess();
		if ($data_object->openDB() == false) {
			$err_msg .= $data_object->err_msg;
		} else {
			$teacher_data_object = new CTeacherTableAccess();
			if (!$teacher_data_object->insertTeacherDataExe($data_object->conn, $_POST)) {
				$err_msg = _EXAM_TEA_TEA_INS_DB_ERR;
				$err_msg .= $teacher_data_object->err_msg;
			} else {
				header("Content-Type: text/html; charset=EUC-JP");
				header(URL_SET."admin/teacher_reg/tea_list.php");
				exit;
			}
			$data_object->closeDB();
		}
	} else {
		$err_msg = $val_class->err_msg;
	}
} else {
	$status_chek[0] = "CHECKED";	
}

//ϤƥȤɽ
if ($err_msg <> "" && $err_msg <> null) {
	for ($i = 0; $i <=2; $i++) {
		if ($_POST['status'] == $i) {
			$status_chek[$i] = "CHECKED";
		} else {
			$status_chek[$i] = "";	
		}
	}
}
/*
$show_data = file_get_contents('../../templates/ad_teacher_reg/insert_tea.tpl');
$show_data = ereg_replace(':TEA_NAM_TXT:', $teacher_nam, $show_data);
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':FILE_NAME:', $file_name, $show_data);
$show_data = ereg_replace(':LOGIN_TXT:', $login_id, $show_data);
$show_data = ereg_replace(':LOGIN_TXT2:', $login_id2, $show_data);
$show_data = ereg_replace(':PWD_TXT:', $passwd, $show_data);
$show_data = ereg_replace(':PWD_TXT2:', $passwd2, $show_data);
$show_data = ereg_replace(':MAIL_TXT:', $mail_ad, $show_data);
$show_data = ereg_replace(':MAIL_TXT2:', $mail_ad2, $show_data);
$show_data = ereg_replace(':TEL_NUM_REP:', $tel_num, $show_data);
$show_data = ereg_replace(':ADDR_REP:', $addr, $show_data);
$show_data = ereg_replace(':BELONG_REP:', $belong, $show_data);
$show_data = ereg_replace(':STATUS_CHK0:', $status_chek[0], $show_data);
$show_data = ereg_replace(':STATUS_CHK1:', $status_chek[1], $show_data);
$show_data = ereg_replace(':STATUS_CHK2:', $status_chek[2], $show_data);
$show_data = ereg_replace(':COMMENT:', $comment, $show_data);
*/
$show_data = file_get_contents(TEMPLATE_DIR.'ad_teacher_reg/insert_tea.tpl');
$show_data = str_replace(':TEA_NAM_TXT:', $teacher_nam, $show_data);
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':FILE_NAME:', $file_name, $show_data);
$show_data = str_replace(':LOGIN_TXT:', $login_id, $show_data);
$show_data = str_replace(':LOGIN_TXT2:', $login_id2, $show_data);
$show_data = str_replace(':PWD_TXT:', $passwd, $show_data);
$show_data = str_replace(':PWD_TXT2:', $passwd2, $show_data);
$show_data = str_replace(':MAIL_TXT:', $mail_ad, $show_data);
$show_data = str_replace(':MAIL_TXT2:', $mail_ad2, $show_data);
$show_data = str_replace(':TEL_NUM_REP:', $tel_num, $show_data);
$show_data = str_replace(':ADDR_REP:', $addr, $show_data);
$show_data = str_replace(':BELONG_REP:', $belong, $show_data);
$show_data = str_replace(':STATUS_CHK0:', $status_chek[0], $show_data);
$show_data = str_replace(':STATUS_CHK1:', $status_chek[1], $show_data);
$show_data = str_replace(':STATUS_CHK2:', $status_chek[2], $show_data);
$show_data = str_replace(':COMMENT:', $comment, $show_data);

echo $show_data;

?>