<?php
require_once '../../data/constant.php';
require_once '../../util/validate.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../data/data_for_group.php';
require_once '../../util/for_exam.php';
require_once '../../data/data_for_test.php';


session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}
$ses_list = $_SESSION[SESSION_ADMIN];
$admin_status =$ses_list['status'];
$admin_id=$ses_list['teacher_id'];

$class_id = "";
$test_id = "";
$class_nam = "";
$test_nam = "";
$teacher_nam = "";
$teacher_id = "";

$start_flag = "";
$err_msg = "";
$item_count = 0;
$up_tbl_txt = "";
$counting=0;
if ($_GET <> null) {
	//$class_id = $_GET['class_id'];
	//$test_id = $_GET['test_id'];
	//$class_nam = $_GET['class_nam'];
	//$test_nam = $_GET['test_nam'];
	//$teacher_nam = $_GET['teacher_nam'];
	if(isset($_GET['test_id'])) {$test_id = $_GET['test_id'];}
	if (!is_numeric($test_id)) {
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."admin/class_reg/class_list.php");				
		exit;
	}
} else if ($_POST <> null) {
	$start_flag = $_POST['action_type'];
} else {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/class_reg/class_list.php");				
	exit;
}

$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {

	if ($class_id == null || $class_id == "") {
	//ƥID򽦤äƤ餺Υեफǡ
		if ($start_flag == "update") {
			$class_id = $_POST['class_id'];
			$test_id = $_POST['test_id'];
/*			$class_nam = mb_convert_encoding($_POST['class_nam'],'EUC-JP','UTF-8');
			$test_nam = mb_convert_encoding($_POST['test_nam'],'EUC-JP','UTF-8');
			$teacher_nam = mb_convert_encoding($_POST['teacher_nam'],'EUC-JP','UTF-8');
*/
			if (!$data_object->transactionBegin()) {
				$err_msg .= $data_object->err_msg;
			} else {
				//Υơѥ֥
				$test_status_object= new CChangeTestStatus();
				if (!$test_status_object->startTestExe($data_object->conn, $_POST)) {
					$err_msg = "<font color='red'>"._EXAM_TEA_CLTEST_LIST_START_ERR."</font>";
					if (!$data_object->transactionRollBack()) {
						$err_msg .= "<br>".$data_object->err_msg;
					}
				} else {
					$data_object->transactionCommit();
					$data_object->closeDB();
					header("Content-Type: text/html; charset=EUC-JP");
					header(URL_SET."admin/test_reg/test_list.php?class_id=".$class_id);
					exit;
				}
			}
		} else {

		}
	}
	//饹󸡺
/*	$class_data_object = new CClassInfoTableAccess();
	$cl_dat_arr = $class_data_object->getOneClass($data_object->conn, $class_id);
	if (!$cl_dat_arr) {
		$class_nam = "饹̾˼";
	} else {
		$class_nam = htmlspecialchars(mb_convert_encoding($cl_dat_arr['class_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
		$teacher_id = $cl_dat_arr['teacher_id'];
	}
*/
	$class_test_object = new CTestInClassAccess();
	$general_info = $class_test_object->getGeneralInfo($data_object->conn,$test_id);
	if (!$general_info) {
		$class_id = "";
		$class_nam = _COMMON_DB_NODATA_FOUND;
		$test_nam = _COMMON_DB_NODATA_FOUND;
		$teacher_nam = _COMMON_DB_NODATA_FOUND;
		$teacher_id = "";
	
	} else {
		$class_id = $general_info['class_id'];
//		$class_nam = htmlspecialchars(mb_convert_encoding($general_info['class_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
//		$test_nam = htmlspecialchars(mb_convert_encoding($general_info['test_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
//		$teacher_nam = htmlspecialchars(mb_convert_encoding($general_info['teacher_nam'],'EUC-JP', 'UTF-8'),ENT_QUOTES);
		$class_nam = htmlspecialchars($general_info['class_nam'],ENT_QUOTES);
		$test_nam = htmlspecialchars($general_info['test_nam'],ENT_QUOTES);
		$teacher_nam = htmlspecialchars($general_info['teacher_nam'],ENT_QUOTES);
		$teacher_id = $general_info['teacher_id'];
	}
	
	//print $class_id;
	//Ϥ
	//ԤôԤΤߤΥ
	if ($admin_status <> 1 && $teacher_id <> $admin_id) {
		$data_object->closeDB();
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."admin/class_reg/class_list.php");
		exit;
	}
	//Υ饹ǹԤƤƥȾ򸡺
	$tests_data_object = new CTestInfoTableAccess();
	if($tests_data_object->getCurrentTestInClass($data_object->conn, $class_id) <> false) {
		$err_msg .= _EXAM_TEA_CLTEST_LIST_NOW_TESTING_ERR;
	}
	
	//ƥ꤬ꤵƤ뤫ɤĴ٤
	//֥
	$questions_object = new CTestInClassAccess();
	if ($questions_object->getTextAndQuestions($data_object->conn,$test_id) == false) {
		$err_msg .= _EXAM_TEA_CLTEST_LIST_NO_QUEST_ERR;
	}


//ּԥǡΥ֥
	$students_data_object = new CStudentInClassAccess ();
	$data_list = $students_data_object->getStudentData($data_object->conn, $class_id);
	if (!$data_list) {
		$up_tbl_txt ="<tr><td>"._COMMON_DB_NODATA_FOUND."</td></tr>";
	} else {
		$counting=0;
		foreach($data_list as $data_arr) {
			$up_tbl_txt .= "<tr><td>";
			$up_tbl_txt .= "<input type='CHECKBOX' name='UP".$counting."'";
			$up_tbl_txt .= " value='".$data_arr['class_student_id']."' CHECKED> ";
//			$up_tbl_txt .= mb_convert_encoding($data_arr['student_nam'],'EUC-JP','UTF-8')."</td>";
			$up_tbl_txt .= htmlspecialchars($data_arr['student_nam'],ENT_QUOTES)."</td>";
			$up_tbl_txt .= "<input type='hidden' name='class_student_id".$counting."' value=";
			$up_tbl_txt .= "'".$data_arr['class_student_id']."'";
			$up_tbl_txt .= "</td></tr>";
			$counting++;
		}
	}

	$data_object->closeDB();
}
$page_title = _EXAM_TEA_CLTEST_LIST_EXAM_FORM_TITLE;
$form_sub_txt = "<form action = 'test_st_chfrm.php' method='POST'><input type='submit' value='";
$form_sub_txt .= _EXAM_TEA_CLTEST_LIST_EXAM_START_BUTTON."'";

if ($err_msg <> "") {
	$form_sub_txt .= " DISABLED ";
}
$form_sub_txt .= ">";
/*
$show_data = file_get_contents('../../templates/ad_test_reg/test_st_chfrm.tpl');
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TITLE_REP:', mb_convert_encoding($page_title,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':SUB_TXT:', mb_convert_encoding($form_sub_txt,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_NAM_REP:', mb_convert_encoding($class_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TEA_NAM_REP:', mb_convert_encoding($teacher_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TEST_NAM_REP:', mb_convert_encoding($test_nam,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':TBL_DATA:', mb_convert_encoding($up_tbl_txt,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':LIST_CNT:', mb_convert_encoding($counting,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = ereg_replace(':TEST_ID_REP:', $test_id, $show_data);
*/
$show_data = file_get_contents(TEMPLATE_DIR.'ad_test_reg/test_st_chfrm.tpl');
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':TITLE_REP:', $page_title, $show_data);
$show_data = str_replace(':SUB_TXT:', $form_sub_txt, $show_data);
$show_data = str_replace(':CLASS_NAM_REP:', $class_nam, $show_data);
$show_data = str_replace(':TEA_NAM_REP:', $teacher_nam, $show_data);
$show_data = str_replace(':TEST_NAM_REP:', $test_nam, $show_data);
$show_data = str_replace(':TBL_DATA:', $up_tbl_txt, $show_data);
$show_data = str_replace(':LIST_CNT:', $counting, $show_data);
$show_data = str_replace(':CLASS_ID_REP:', $class_id, $show_data);
$show_data = str_replace(':TEST_ID_REP:', $test_id, $show_data);

echo $show_data;
?>
