<?php
require_once '../../data/constant.php';
require_once '../../data/db_access.php';
require_once '../../data/table_access.php';
require_once '../../util/validate.php';
require_once '../../util/make_item.php';

require_once '../../util/post_util.php';

session_start();
if (!isset($_SESSION[SESSION_ADMIN])) {
	header("Content-Type: text/html; charset=EUC-JP");
	header(URL_SET."admin/login.php");
	exit;
}
$ses_arr = $_SESSION[SESSION_ADMIN];
$input_flag = "";
$department_id = "";
$text_title="";
$text_content = "";
$text_comment = "";

$err_msg = "";
$page_title = _EXAM_TEA_TXTINSERT_TITLE;
$for_del = "";
$file_name = "insert_form.php";
//$dif_chek = array(4);
//$lev_chek = array(4);
//$dif_chek = array_fill(0,4,"");
//$lev_chek = array_fill(0,5,"");
$from_flag = "";
$input_inf_arr = array();
$rnd_val= "";
$av_repeat="";
$dif="";
$lev="";
$img_file = "<input type = 'file' name='img_file' size=42>";
$av_file = "<input type = 'file' name='av_file' size=42>";

$department_txt = "";
$difficult_txt = "";
$level_txt = "";
$dep_dat_arr = array();
$dif_dat_arr = array();
$lev_dat_arr = array();

//񤭹߰ե
$write_img = DOC_ROOT."img_files/img_".time()."_".$ses_arr['teacher_id'];
$write_av = DOC_ROOT."av_files/av_".time()."_".$ses_arr['teacher_id'];

if ($_POST<>null) {
	if (isset($_POST['input_flag'])) {
//ΥڡƤ
		$input_inf_arr = $_POST;

		$from_flag = 1;
	} elseif (isset($_POST['rnd_val'])) {
//confirmäƤ
		$input_inf_arr = $_SESSION['ses_arr'.$_POST['rnd_val']];
		$from_flag = 2;
		unset($_SESSION['ses_arr'.$_POST['rnd_val']]);
		if (isset($input_inf_arr['tmp_img_dir'])) {
			unlink($input_inf_arr['tmp_img_dir']."/".$input_inf_arr['img_file']);
			rmdir($input_inf_arr['tmp_img_dir']);
		}
		if (isset($input_inf_arr['tmp_av_dir'])) {
			unlink($input_inf_arr['tmp_av_dir']."/".$input_inf_arr['av_file']);
			rmdir($input_inf_arr['tmp_av_dir']);
		}
	}
	$department_id = $input_inf_arr['department'];
	/*
	$text_title=$input_inf_arr['title'];
	$text_content = $input_inf_arr['content'];
	$text_comment = $input_inf_arr['comment'];
	*/
	$text_title=chPostToForm ($input_inf_arr['title']);
	$text_content = chPostToForm ($input_inf_arr['content']);
	$text_comment = chPostToForm ($input_inf_arr['comment']);
	$av_repeat = $input_inf_arr['av_repeat'];
	if (isset($input_inf_arr['dif'])) {
		$dif=$input_inf_arr['dif'];
	} else {
		$input_inf_arr['dif']=0;
		$dif = 0;
	}
	if (isset($input_inf_arr['lev'])) {
		$lev=$input_inf_arr['lev'];
	} else {
		$input_inf_arr['lev']=0;
		$lev = 0;
	}
} else {
	if (isset($_FILES)) {
		unset($_FILES);
	}
}

if ($from_flag == 1) {
	$val_object = new valid_plus_num('txt_make');
	$val_object->setErrMsgNum($_POST);
	$err_msg = $val_object->err_msg;

	if (isset($_FILES['img_file']) && $err_msg == "") {
		if ($_FILES['img_file']['name'] <> "") {
			if (!mb_ereg("\.gif|\.jpg|\.jpeg|\.png|\.bmp$",$_FILES['img_file']['name'])) {
				$err_msg .=_EXAM_TEA_UNSUPPORTED_IMG_ERR;
			} else {
				if (!is_dir($write_img)) {
					mkdir($write_img,0777);
				}
				if (!move_uploaded_file($_FILES['img_file']['tmp_name'], $write_img."/".$_FILES['img_file']['name'])) {
					$err_msg .=_EXAM_TEA_IMG_WRITE_ERR;
				} else {
					$input_inf_arr['img_file'] =$_FILES['img_file']['name'];
					$input_inf_arr['tmp_img_dir']= $write_img;
				}
			}
		} else {
			$input_inf_arr['img_file'] ="";
		}
	}
	if (isset($_FILES['av_file']['name']) && $err_msg == "") {
		if ($_FILES['av_file']['name']<>"") {
			if (!mb_ereg("\.asf|\.wma|\.wmv|\.asx|\.wax|\.wvx|\.cda|\.mid|\.midi|\.wav|\.snd|\.au|\.aif|\.aifc|\.aiff|\.avi|\.mpg|\.mpeg|\.mp3|\.mp4$",$_FILES['av_file']['name'])) {
//			if (!ereg("\.mid|\.midi|\.wav|\.au$",$_FILES['av_file']['name'])) {
				$err_msg .= _EXAM_TEA_UNSUPPORTED_AV_ERR;
			} else {
				if (!is_dir($write_av)) {
					mkdir($write_av,0777);
				}
				if (!move_uploaded_file($_FILES['av_file']['tmp_name'], $write_av."/".$_FILES['av_file']['name'])) {
					$err_msg .=_EXAM_TEA_AV_WRITE_ERR;
				} else {
					$input_inf_arr['av_file'] =$_FILES['av_file']['name'];
					$input_inf_arr['tmp_av_dir']= $write_av;
				}
			}
		} else {
			$input_inf_arr['av_file'] ="";
		}
	}

	if ($err_msg <> "") {
//ϤƥȤɽ
/*
		for ($i = 0; $i <=4; $i++) {
			if ($dif == $i) {
				$dif_chek[$i] = "CHECKED";
			} else {
				$dif_chek[$i] = "";	
			}
		}

		for ($i = 0; $i <= 5; $i++) {
			if ($lev == $i) {
				$lev_chek[$i] = "CHECKED";
			} else {
				$lev_chek[$i] = "";	
			}
		}
*/	} else {
//Ϥ˥顼ʤˤϡǧ̤ˤȤ
//		$rnd_val = rand(1,1000);
		$rnd_val = uniqid('text');
		$_SESSION['ses_arr'.$rnd_val] = $input_inf_arr;
		header("Content-Type: text/html; charset=EUC-JP");
		header(URL_SET."admin/txt_make/confirm_txt.php?rnd_val=".$rnd_val."&act_type=insert");
		exit;
	}
} else {
	if ($from_flag =="") {
		//󥢥ξ
//		$dif_chek[0] = "CHECKED";	
//		$lev_chek[0] = "CHECKED";	
		if (isset($_FILES)) {
			unset($_FILES);
		}
	} else if($from_flag == 2) {
/*		for ($i = 0; $i <=4; $i++) {
			if ($dif == $i) {
				$dif_chek[$i] = "CHECKED";
			} else {
				$dif_chek[$i] = "";	
			}
		}

		for ($i = 0; $i <= 5; $i++) {
			if ($lev == $i) {
				$lev_chek[$i] = "CHECKED";
			} else {
				$lev_chek[$i] = "";	
			}
		}
*/	}
}

//ѥץ
//$department_object = new CCreateSelectFromMonoArr("department", $department_id, $DEPARTMENT_ARR);
//Ƽץ
$data_object = new CDbAccess();
if ($data_object->openDB() == false) {
	$err_msg .= $data_object->err_msg;
} else {
	$dep_object = new CCreateDepSelect($data_object->conn);
	$dep_object->setDataForInput();
	$department_txt = $dep_object->getPullDown("department", $department_id);
	$dep_dat_arr  = $dep_object->getBasicData();
	
	$dif_object = new CCreateDifficSelect($data_object->conn);
	$dif_object->setDataForInput();
	$difficult_txt = $dif_object->getRadioList ("dif", $dif);
	$dif_dat_arr = $dif_object->getBasicData();
	
	$lev_object = new CCreateTxtLevelSelect($data_object->conn);
	$lev_object->setDataForInput();
	$level_txt = $lev_object->getRadioList ("lev", $lev);
	$lev_dat_arr = $lev_object->getBasicData();
	
	$data_object->closeDB();
}
$_SESSION['dep_dat_arr'] = $dep_dat_arr;
$_SESSION['dif_dat_arr'] = $dif_dat_arr;
$_SESSION['lev_dat_arr'] = $lev_dat_arr;

//$show_data = file_get_contents('../../templates/ad_txt_make/txt_form.tpl');
$show_data = file_get_contents(TEMPLATE_DIR.'ad_txt_make/txt_form.tpl');
/*
$show_data = ereg_replace(':PAGE_TITLE:', mb_convert_encoding($page_title,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':ERR_MSG:', mb_convert_encoding($err_msg,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':FILE_NAME:', $file_name, $show_data);
$show_data = ereg_replace(':TITLE_TXT:', $text_title, $show_data);
$show_data = ereg_replace(':DEPARTMENT_SELECT:', mb_convert_encoding($department_object->pull_down_txt,'UTF-8', 'EUC-JP'), $show_data);
$show_data = ereg_replace(':DIF_IS_CHK1:', $dif_chek[1], $show_data);
$show_data = ereg_replace(':DIF_IS_CHK2:', $dif_chek[2], $show_data);
$show_data = ereg_replace(':DIF_IS_CHK3:', $dif_chek[3], $show_data);
$show_data = ereg_replace(':DIF_IS_CHK0:', $dif_chek[0], $show_data);
$show_data = ereg_replace(':LEV_IS_CHK1:', $lev_chek[1], $show_data);
$show_data = ereg_replace(':LEV_IS_CHK2:', $lev_chek[2], $show_data);
$show_data = ereg_replace(':LEV_IS_CHK3:', $lev_chek[3], $show_data);
$show_data = ereg_replace(':LEV_IS_CHK4:', $lev_chek[4], $show_data);
$show_data = ereg_replace(':LEV_IS_CHK0:', $lev_chek[0], $show_data);
$show_data = ereg_replace(':CONTENT:', $text_content, $show_data);
$show_data = ereg_replace(':COMMENT:', $text_comment, $show_data);
$show_data = ereg_replace(':FOR_DEL:', $for_del, $show_data);
$show_data = ereg_replace(':IMG_FILE:', $img_file, $show_data);
$show_data = ereg_replace(':AV_FILE:', $av_file, $show_data);
$show_data = ereg_replace(':AV_REPEAT:', $av_repeat, $show_data);
$show_data = ereg_replace(':FOR_UP:', "", $show_data);
*/
$show_data = str_replace(':PAGE_TITLE:', $page_title, $show_data);
$show_data = str_replace(':ERR_MSG:', $err_msg, $show_data);
$show_data = str_replace(':FILE_NAME:', $file_name, $show_data);
$show_data = str_replace(':TITLE_TXT:', $text_title, $show_data);
$show_data = str_replace(':DEPARTMENT_SELECT:',$department_txt, $show_data);
$show_data = str_replace(':DIF_CECK_REP:', $difficult_txt, $show_data);
$show_data = str_replace(':LEV_CHECK_REP:', $level_txt, $show_data);

$show_data = str_replace(':CONTENT:', $text_content, $show_data);
$show_data = str_replace(':COMMENT:', $text_comment, $show_data);
$show_data = str_replace(':FOR_DEL:', $for_del, $show_data);
$show_data = str_replace(':IMG_FILE:', $img_file, $show_data);
$show_data = str_replace(':AV_FILE:', $av_file, $show_data);
$show_data = str_replace(':AV_REPEAT:', $av_repeat, $show_data);
$show_data = str_replace(':FOR_UP:', "", $show_data);


echo $show_data;
?>