<?php
class CTeacherTableAccess extends CTblAccess{
//Moodle⥸塼ˤϡѹ

	function CTeacherTableAccess() {
		$this->CTblAccess(TEA_TBL);
	}

	function getDataForLogin ($conn, $teacher_id, $teacher_password) {
	//ADMIN̤ǧѤδؿ
		$condition = " WHERE login_id = '".$this->escapeSqlString($teacher_id);
		$condition .= "' AND passwd = '".$this->escapeSqlString($teacher_password)."'";
		$result = $this->getList("teacher_id, teacher_nam, status", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}

	function getDetailTeacherData($conn, $teacher_id) {
		$condition = " WHERE teacher_id = '".$this->escapeSqlString($teacher_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}

	function insertTeacherDataExe($conn, $get_arr) {
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "teacher_id,";
			$index_value = "nextval('".TEA_ID_SEQ."'), ";
		}

		$INS_ITEM = $index_item."teacher_nam,login_id,mail_ad,passwd,tel_num, addr,belong,comment,status";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($get_arr['teacher_nam'])."', '";
		$INS_CON .= $this->escapeSqlString($get_arr['login_id'])."', '";
		$INS_CON .= $this->escapeSqlString($get_arr['mail_ad'])."', '";
		$INS_CON .= $this->escapeSqlString($get_arr['passwd'])."', '".$this->escapeSqlString($get_arr['tel_num'])."','";
		$INS_CON .= $this->escapeSqlString($get_arr['addr'])."','";
		$INS_CON .= $this->escapeSqlString($get_arr['belong'])."','";
		$INS_CON .= $this->escapeSqlString($get_arr['comment'])."','".$this->escapeSqlString($get_arr['status'])."'";
		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateTeacherDataExe($conn, $dat_arr) {
		//WHERE
		$where_st = "teacher_id = '".$this->escapeSqlString($dat_arr['up_id'])."'";
			//set
		$set_st = "teacher_nam ='".$this->escapeSqlString($dat_arr['teacher_nam'])."', ";
		$set_st .= "login_id = '".$this->escapeSqlString($dat_arr['login_id'])."', ";
		$set_st .= "passwd ='".$this->escapeSqlString($dat_arr['passwd'])."', ";
		$set_st .= "mail_ad ='".$this->escapeSqlString($dat_arr['mail_ad'])."', ";
		$set_st .= "tel_num ='".$this->escapeSqlString($dat_arr['tel_num'])."', ";
		$set_st .= "addr ='".$this->escapeSqlString($dat_arr['addr'])."', ";
		$set_st .= "belong ='".$this->escapeSqlString($dat_arr['belong'])."', ";
		$set_st .= "status ='".$this->escapeSqlString($dat_arr['status'])."', ";
		$set_st .= "comment ='".$this->escapeSqlString($dat_arr['comment'])."'";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function deleteTeacherDataExe($conn, $teacher_id) {
		$condition = "teacher_id = '".$this->escapeSqlString($teacher_id)."'";
		if (!$this->delDat($condition, $conn)) {
			return false;
		} else {
			return true;
		}
	}
}

class CTextTableAccess extends CTblAccess {
	function CTextTableAccess() {
		$this->CTblAccess (TXT_TBL);
	}

	function insertTextDataExe($conn, $get_arr, $teacher_id) {
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "text_id,";
			$index_value = "nextval('".TXT_ID_SEQ."'), ";
		}

		//POSTǼäǤΤޤVALUE
		$INS_ITEM = $index_item."text_title,exp_dif,level,content,teacher_id,registered_date,comment,department_id";
//2006/12/8add
		$INS_ITEM .= ", img_file, av_file, av_repeat";

		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString ($get_arr['title'])."','".$this->escapeSqlString($get_arr['dif'])."','";
		$INS_CON .= $this->escapeSqlString($get_arr['lev'])."','".$this->escapeSqlString($get_arr['content'])."','";
		$INS_CON .= $this->escapeSqlString($teacher_id)."', now(),'".$this->escapeSqlString($get_arr['comment'])."'";
		$INS_CON .= ", '".$this->escapeSqlString($get_arr['department'])."'";
//2006/12/8add
		$INS_CON .= ", '".$this->escapeSqlString($get_arr['img_file'])."'";
		$INS_CON .= ", '".$this->escapeSqlString($get_arr['av_file'])."'";
		$INS_CON .= ", '".$this->escapeSqlString($get_arr['av_repeat'])."'";

		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateTextDataExe($conn, $dat_arr, $teacher_id) {
		$where_st = "text_id = '".$this->escapeSqlString ($dat_arr['up_id'])."'";
			//set
		$set_st = "text_title ='".$this->escapeSqlString ($dat_arr['title'])."', ";
		$set_st .= "exp_dif ='".$this->escapeSqlString($dat_arr['dif'])."', ";
		$set_st .= "content ='".$this->escapeSqlString ($dat_arr['content'])."', ";
		$set_st .= "comment ='".$this->escapeSqlString ($dat_arr['comment'])."', ";
		$set_st .= "level ='".$this->escapeSqlString($dat_arr['lev'])."', ";
		$set_st .= "department_id ='".$this->escapeSqlString($dat_arr['department'])."', ";

//᡼եֿʬ
		//if ($dat_arr['img_del'] ==null || $dat_arr['img_del'] =="") {
		if (!array_key_exists('img_del',$dat_arr)) {
			//if ($dat_arr['img_file'] ==null || $dat_arr['img_file'] =="") {
			if (!array_key_exists('img_file',$dat_arr)) {
				$set_st .= "img_file = '', ";
			} else {
				$set_st .= "img_file = '".$this->escapeSqlString ($dat_arr['img_file'])."', ";
			}
		} else {
			$set_st .= "img_file = '', ";
		}
//AVեֿʬ
//		if ($dat_arr['av_del'] ==null || $dat_arr['av_del'] =="") {
		if (!array_key_exists('av_del',$dat_arr)) {
			//if ($dat_arr['av_file'] ==null || $dat_arr['av_file'] =="") {
			if (!array_key_exists('av_file',$dat_arr)) {
				$set_st .= "av_file = '', ";
			} else {
				$set_st .= "av_file = '".$this->escapeSqlString ($dat_arr['av_file'])."', ";
			}
		} else {
			$set_st .= "av_file = '', ";
		}
//֤
		if ($dat_arr['av_repeat'] ==null || $dat_arr['av_repeat'] =="") {
			$set_st .= "av_repeat = 0";
		} else {
			$set_st .= "av_repeat = '".$this->escapeSqlString($dat_arr['av_repeat'])."'";
		}
//ǽ֤ӹ
		$set_st .= ", last_modifer_id ='".$this->escapeSqlString($teacher_id);
		$set_st .= "', last_modified_date = now()";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function getDetailTextData($conn, $text_id) {
		$condition = " WHERE text_id = '".$this->escapeSqlString($text_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}

	function deleteTextDataExe($conn, $text_id) {
		$condition = "text_id = '".$this->escapeSqlString($text_id)."'";
		if (!$this->delDat($condition, $conn)) {
			return false;
		} else {
			return true;
		}
	}
}

class CQuestionTableAccess extends CTblAccess {
	function CQuestionTableAccess () {
		$this->CTblAccess (QUES_TBL);
	}

	function getQuestionListPerText($conn, $text_id) {
		$condition = " WHERE text_id = '".$this->escapeSqlString($text_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function getQuestionDetail($conn, $q_id) {
		$condition = " WHERE question_id = '".$this->escapeSqlString($q_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}

	function insertQuestionDataExe($conn, $get_arr, $teacher_id) {
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "question_id,";
			$index_value = "nextval('".QUES_ID_SEQ."'), ";
		}

/*		if ($get_arr['max_length']==null || $get_arr['max_length']=="") {
			$get_arr['max_length'] = 0;
		}
		if ($get_arr['max_words']==null || $get_arr['max_words']=="") {
			$get_arr['max_words'] = 0;
		}
/*
		$INS_ITEM = $index_item."level,content,answer,example,teacher_id,registered_date,comment,text_id, rep_key,max_length,max_words";
		$INS_CON = $index_value;
		$INS_CON .= $this->escapeSqlString($get_arr['level']).", '".$this->escapeSqlString($get_arr['QTAREA'])."',";
		$INS_CON .= $this->escapeSqlString($get_arr['ans_txt']).", '".$this->escapeSqlString($get_arr['ATAREA'])."',";
		$INS_CON .= $this->escapeSqlString($teacher_id).", now(),'".$this->escapeSqlString($get_arr['CTAREA'])."', ".$this->escapeSqlString($get_arr['txt_id']);
		$INS_CON .= ",'".$this->escapeSqlString($get_arr['rep_key'])."', ".$this->escapeSqlString($get_arr['max_length']).", ".$this->escapeSqlString($get_arr['max_words']);
*/
		$INS_ITEM = $index_item."level,content,answer,example,teacher_id,registered_date,comment,text_id, rep_key,max_length,max_words";
//		$INS_ITEM = $index_item."level,content,answer,example,teacher_id,registered_date,comment,text_id, rep_key,max_length,max_words, public_flag";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($get_arr['question_lev'])."', '".$this->escapeSqlString($get_arr['QTAREA'])."','";
		$INS_CON .= $this->escapeSqlString($get_arr['ans_txt'])."', '".$this->escapeSqlString($get_arr['ATAREA'])."','";
		$INS_CON .= $this->escapeSqlString($teacher_id)."', now(),'".$this->escapeSqlString($get_arr['CTAREA'])."', '".$this->escapeSqlString($get_arr['txt_id']);
		$INS_CON .= "','".$this->escapeSqlString($get_arr['rep_key'])."', ";
		if ($get_arr['max_length']==null || $get_arr['max_length']=="") {
			$INS_CON .="null,";
		} else {
			$INS_CON .="'".$this->escapeSqlString($get_arr['max_length'])."',";
		}
		if ($get_arr['max_words']==null || $get_arr['max_words']=="") {
			$INS_CON .="null";
		} else {
			$INS_CON .= "'".$this->escapeSqlString($get_arr['max_words'])."'";
		}

//		$INS_CON .= ",'".$this->escapeSqlString($get_arr['public_flag'])."'";

		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateQuestionDataExe($conn, $dat_arr, $teacher_id) {

		$where_st = "question_id = '".$this->escapeSqlString($dat_arr['up_id'])."'";
		//set
		$set_st = "";
		$set_st = "example ='".$this->escapeSqlString($dat_arr['ATAREA'])."', ";
		$set_st .= "answer ='".$this->escapeSqlString($dat_arr['ans_txt'])."', ";
		$set_st .= "content ='".$this->escapeSqlString($dat_arr['QTAREA'])."', ";
		$set_st .= "comment ='".$this->escapeSqlString($dat_arr['CTAREA'])."', ";
		$set_st .= "level ='".$this->escapeSqlString($dat_arr['question_lev']);

		$set_st .= "', rep_key ='".$this->escapeSqlString($dat_arr['rep_key'])."', ";

		//max_length
		if ($dat_arr['max_length']==null || $dat_arr['max_length']=="") {
			$set_st .= "max_length =null,";
		} else {
			$set_st .= "max_length ='".$this->escapeSqlString($dat_arr['max_length'])."', ";
		}
		if ($dat_arr['max_words']==null || $dat_arr['max_words']=="") {
			$set_st .= "max_words =null,";
		} else {
			$set_st .= "max_words ='".$this->escapeSqlString($dat_arr['max_words'])."', ";
		}

//ǽ֤ӹ
		$set_st .= "last_modifer_id ='".$this->escapeSqlString($teacher_id);
		$set_st .= "', last_modified_date = now()";

//		$set_st .= ", public_flag ='".$this->escapeSqlString($dat_arr['public_flag'])."'";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateQuestionAvExe($conn, $q_id, $tmp_qav, $tmp_qrep, $teacher_id) {
		$set_st = "";
		$where_st = "question_id = '".$this->escapeSqlString($q_id)."'";
		//set
		$set_st .= "question_av_file = '".$this->escapeSqlString($tmp_qav)."'";
		$set_st .= ", question_repeat = '".$this->escapeSqlString($tmp_qrep)."'";
//ǽ֤ӹ
		$set_st .= ", last_modifer_id ='".$this->escapeSqlString($teacher_id);
		$set_st .= "', last_modified_date = now()";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}
}

class CItemTableAccess extends CTblAccess {
	function CItemTableAccess () {
		$this->CTblAccess (ITEM_TBL);
	}

	function insertItemDataExe($conn, $get_arr) {
		//if ($get_arr['is_right'] <> 1) {
		if (!array_key_exists('is_right',$get_arr)) {
			$is_right = 0;
		} else {
			$is_right = 1;
		}
		$INS_ITEM = "question_id,item_order,item_txt,is_right,comment";
		$INS_CON = "'".$this->escapeSqlString($get_arr['question_id'])."','".$this->escapeSqlString($get_arr['item_order']);
		$INS_CON .= "','".$this->escapeSqlString($get_arr['item_txt'])."', '".$this->escapeSqlString($is_right)."','";
		$INS_CON .= $this->escapeSqlString($get_arr['comment'])."'";
		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}
	function getItemPerQuestion($conn, $q_id) {
		$condition = " WHERE question_id = '".$this->escapeSqlString($q_id)."' ORDER BY item_order";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function updateItemExe($conn, $get_arr) {
		//ϡPOSTǡ
		$where_st ="";
		$set_st="";
		//SET
		$set_st .= "item_txt = '".$this->escapeSqlString($get_arr['item_txt']);
		$set_st .= "', comment ='".$this->escapeSqlString($get_arr['comment']);
		//if ($get_arr['is_right'] <> 1) {
		if (!array_key_exists('is_right',$get_arr)) {
			$set_st .= "', is_right =0";
		} else {
			$set_st .= "', is_right =1";
		}
		//WHERE
		$where_st .= "item_order = '".$this->escapeSqlString($get_arr['item_order'])."'";
		$where_st .= " AND question_id = '".$this->escapeSqlString($get_arr['question_id'])."'";
		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function deleteItemExe($conn, $q_id, $order) {
		$where_st = "question_id = '".$this->escapeSqlString($q_id);
		$where_st .= "' AND item_order = '".$this->escapeSqlString($order)."'";
		if (!$this->delDat($where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}
}

class CKeyWordTableAccess extends CTblAccess {
	function CKeyWordTableAccess () {
		$this->CTblAccess (KEY_WORD_TBL);
	}

	function getKeyWordPerQuestion($conn, $q_id) {
		$condition = " WHERE question_id = '".$this->escapeSqlString($q_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function insertKeyWordExe($conn, $get_arr) {
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "key_word_id,";
			$index_value = "nextval('".KEY_WORD_ID_SEQ."'), ";
		}

		$INS_ITEM = $index_item."question_id,key_word_txt,comment, score_weight";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($get_arr['question_id'])."', ";
		$INS_CON .= "'".$this->escapeSqlString($get_arr['key_word_txt'])."', '";
		$INS_CON .= $this->escapeSqlString($get_arr['comment'])."', '";
		$INS_CON .= $this->escapeSqlString($get_arr['score'])."'";
		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateKeyWordOrderExe($conn, $dat_arr) {
		//ʣΥɤƱUPDATEؿ
		$return_value = true;

		for ($i=0; $i < $dat_arr['data_cnt'];$i++) {
			$up_set = "comment = '".$this->escapeSqlString($dat_arr['comment'.$i]);
			$up_set .= "', score_weight = '".$this->escapeSqlString($dat_arr['score_weight'.$i])."'";
			$where_st = "key_word_id = '".$this->escapeSqlString($dat_arr['key_word_id'.$i])."'";
			if (!$this->upDat($up_set, $where_st, $conn)) {
				$return_value = false;
			}
			if (!$return_value) {
				break;
			}
		}
		return $return_value;
	}
}

class CClassInfoTableAccess extends CTblAccess {
//Moodle⥸塼ˤϡѹ
	function CClassInfoTableAccess() {
		$this->CTblAccess (CLASS_TBL);
	}
	function getOneClass($conn, $class_id) {
		//
		$condition = " WHERE class_id = '".$this->escapeSqlString($class_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}

	function getClassByGrade($conn, $grade) {
		//
		$condition = " WHERE grade = '".$this->escapeSqlString($grade)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function insertClassExe($conn, $get_arr) {
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		$level = "";
		if (DB_TYPE=="postgres7") {
			$index_item = "class_id,";
			$index_value = "nextval('".CLASS_ID_SEQ."'), ";
		}

		$INS_ITEM = $index_item."class_nam,teacher_id,grade,level,belong,comment,status,registered_num";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($get_arr['class_nam'])."', '";
		$INS_CON .= $this->escapeSqlString($get_arr['teacher_id'])."', '";
		$INS_CON .= $this->escapeSqlString($get_arr['grade'])."', ";
		if (is_numeric($get_arr['level']) == true) {
			$INS_CON .= "'".$this->escapeSqlString($get_arr['level'])."', '";
		} else {
			$INS_CON .= "null , '";
		}
		$INS_CON .= $this->escapeSqlString($get_arr['belong'])."','";
		$INS_CON .= $this->escapeSqlString($get_arr['comment'])."','";
		$INS_CON .= $this->escapeSqlString($get_arr['status'])."','".$this->escapeSqlString($get_arr['registered_num'])."'";
		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateClassExe($conn, $dat_arr) {
		//SETPOST
		$set_st = "class_nam ='".$this->escapeSqlString($dat_arr['class_nam'])."', ";
		$set_st .= "grade = '".$this->escapeSqlString($dat_arr['grade'])."', ";
		$set_st .= "level ='".$this->escapeSqlString($dat_arr['level'])."', ";
		$set_st .= "belong ='".$this->escapeSqlString($dat_arr['belong'])."', ";
		$set_st .= "status ='".$this->escapeSqlString($dat_arr['status'])."', ";
		$set_st .= "comment ='".$this->escapeSqlString($dat_arr['comment'])."'";
		//WHERE
		$where_st = "class_id = '".$this->escapeSqlString($dat_arr['up_id'])."'";
		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}
}

class CClassStudentTableAccess extends CTblAccess {
//Moodle⥸塼ˤϡѹ
	function CClassStudentTableAccess() {
		$this->CTblAccess (CLASS_SU_TBL);
	}

	function isNowInExam ($conn, $student_id) {
		//μּԤμֺ֤¤ǥƥȤԤƤ뤫
		//Ʊ˥֥֥å󥰤Ĵ٤
		$condition = "";
//		$condition .= " WHERE present = 1 AND status=1 AND student_id = '".$this->escapeSqlString($student_id)."'";
//2006/12/20
		$condition .= " WHERE (present = 1 OR present=4) AND status=1 AND student_id = '".$this->escapeSqlString($student_id)."'";

		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function getClassListOfStudent ($conn, $student_id) {
		//μּԤν°饹IDꥹȤ
		$condition = " WHERE student_id = '".$this->escapeSqlString($student_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function applyClassExe ($conn, $get_arr) {
		//饹ؤο
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "class_student_id,";
			$index_value = "nextval('".CLASS_ST_ID_SEQ."'), ";
		}
		$INS_ITEM = $index_item."student_id,class_id,student_comment,status";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($get_arr['student_id'])."', '";
		$INS_CON .= $this->escapeSqlString($get_arr['class_id'])."', ";
		$INS_CON .= "'".$this->escapeSqlString($get_arr['comment'])."', '";
		$INS_CON .= $this->escapeSqlString($get_arr['status'])."'";
		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}
}
class CStudentTableAccess extends CTblAccess {
//Moodle⥸塼ˤϡѹ
	function CStudentTableAccess() {
		$this->CTblAccess (STU_TBL);
	}

	function getOneStudent($conn, $student_id) {
		//
		$condition = " WHERE student_id = '".$this->escapeSqlString($student_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}

	function insertStudentExe($conn, $get_arr) {
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "student_id,";
			$index_value = "nextval('".STUDENT_ID_SEQ."'), ";
		}
		$INS_ITEM = $index_item."student_nam,login_id,mail_ad,passwd,tel_num, addr,belong,comment,status,grade";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($get_arr['student_nam'])."', '";
		$INS_CON .= $this->escapeSqlString($get_arr['login_id'])."', '";
		$INS_CON .= $this->escapeSqlString($get_arr['mail_ad'])."', '";
		$INS_CON .= $this->escapeSqlString($get_arr['passwd'])."', '".$this->escapeSqlString($get_arr['tel_num'])."','";
		$INS_CON .= $this->escapeSqlString($get_arr['addr'])."','";
		$INS_CON .= $this->escapeSqlString($get_arr['belong'])."','";
		$INS_CON .= $this->escapeSqlString($get_arr['comment'])."',";
		$INS_CON .= $this->escapeSqlString($get_arr['status']).",'";
		$INS_CON .= $this->escapeSqlString($get_arr['grade'])."'";
		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateStudentExe($conn, $dat_arr) {
		//ּԾι³POSTǡ
		$where_st = "student_id = ".$dat_arr['up_id'];
		//set
		$set_st = "student_nam ='".$this->escapeSqlString($dat_arr['student_nam'])."', ";
		$set_st .= "mail_ad = '".$this->escapeSqlString($dat_arr['mail_ad'])."', ";
		$set_st .= "passwd ='".$this->escapeSqlString($dat_arr['passwd'])."', ";
		$set_st .= "tel_num ='".$this->escapeSqlString($dat_arr['tel_num'])."',";
		$set_st .= "addr ='".$this->escapeSqlString($dat_arr['addr'])."',";
		$set_st .= "belong ='".$this->escapeSqlString($dat_arr['belong'])."',";
		$set_st .= "comment ='".$this->escapeSqlString($dat_arr['comment'])."',";
		$set_st .= "grade ='".$this->escapeSqlString($dat_arr['grade'])."'";
		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateAfterTest ($conn, $student_id) {
		//򡢰Ūݡ֣פѹ
		$set_st = "status = 2";
		$where_st = "student_id = '".$this->escapeSqlString($student_id)."'";
		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function accessAllow ($conn, $condition) {
		//ּԤΥ
		$set_st = "status = 1";
		if (!$this->upDat($set_st, $condition, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function accessDeny ($conn, $condition) {
		//ּԤΥ
		$set_st = "status = 0";
		if (!$this->upDat($set_st, $condition, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function getDataForLogin($conn, $login_id, $password) {
		//ѤΥǡå
		$condition = "";
		$condition .= " WHERE login_id = '".$this->escapeSqlString($login_id)."' AND ";
		$condition .= " passwd = '".$this->escapeSqlString($password)."'";
		$result = $this->getList("student_id, student_nam, status, grade", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}

	function checkLoginId($conn, $login_id) {
		//ѤΥǡå
		$condition = "";
		$condition .= " WHERE login_id = '".$this->escapeSqlString($login_id)."'";
		$result = $this->getList("student_id", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return true;
		}
	}
}

class CTestInfoTableAccess extends CTblAccess {
	function CTestInfoTableAccess() {
		$this->CTblAccess (TEST_INF_TBL);
	}

	function getTestInfoPerClass($conn, $class_id) {
//
		$condition = " WHERE class_id = '".$this->escapeSqlString($class_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}
	function getCurrentTestInClass($conn, $class_id) {
//Υ饹ǻΥƥȤ򸡺
		$condition = " WHERE class_id = '".$this->escapeSqlString($class_id)."'";
//		$condition .= " AND status = 1";
//2006/12/20
		$condition .= " AND (status = 1 OR status = 3)";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function getOneTestInfo($conn, $test_id) {
		//
		$condition = " WHERE test_id = '".$this->escapeSqlString($test_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}
	function insertTestInfoExe($conn, $get_arr) {
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "test_id,";
			$index_value = "nextval('".TEST_ID_SEQ."'), ";
		}

		$INS_ITEM = $index_item."test_nam,teacher_id,class_id,test_date,duration, exp_score, test_type";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($get_arr['test_nam'])."', '";
		$INS_CON .= $this->escapeSqlString($get_arr['teacher_id'])."', '";
		$INS_CON .= $this->escapeSqlString($get_arr['class_id'])."', '";
		$INS_CON .= $this->escapeSqlString($get_arr['test_year'])."-".$this->escapeSqlString($get_arr['test_mon'])."-";
		$INS_CON .= $this->escapeSqlString($get_arr['test_day'])." ".$this->escapeSqlString($get_arr['test_hour']).":".$this->escapeSqlString($get_arr['test_min']).":00','";
		$INS_CON .= $this->escapeSqlString($get_arr['duration'])."','";
		$INS_CON .= $this->escapeSqlString($get_arr['exp_sco'])."', '".$this->escapeSqlString($get_arr['test_type'])."'";
		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}
	function updateTestInfoExe ($conn, $dat_arr) {
		//ƥȤδܾ
		$set_st = "test_nam ='".$this->escapeSqlString($dat_arr['test_nam'])."', ";
		$set_st .= "duration ='".$this->escapeSqlString($dat_arr['duration'])."', ";
		$set_st .= "exp_score ='".$this->escapeSqlString($dat_arr['exp_sco'])."', ";
		$set_st .= "test_date ='".$this->escapeSqlString($dat_arr['test_year'])."-".$this->escapeSqlString($dat_arr['test_mon'])."-";
		$set_st .= $this->escapeSqlString($dat_arr['test_day'])." ".$this->escapeSqlString($dat_arr['test_hour']).":".$this->escapeSqlString($dat_arr['test_min']).":00', ";
		$set_st .= "test_type ='".$this->escapeSqlString($dat_arr['test_type'])."'";

		//
		$where_st = "test_id = '".$this->escapeSqlString($dat_arr['test_id'])."'";
		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function upDateRealScore ($conn, $dat_arr) {
		//ΥϿ
		$set_st = "real_score ='".$this->escapeSqlString($dat_arr['real_score'])."', ";
		$set_st .= "partici_num ='".$this->escapeSqlString($dat_arr['part_num'])."', ";
		$set_st .= "sd_score = '".$this->escapeSqlString($dat_arr['sd_on_list'])."'";
		//
		$where_st = "test_id = '".$this->escapeSqlString($dat_arr['up_id'])."'";
		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}
}

class CTestedQuestionTableAccess extends CTblAccess {
	//ǽꤵ򰷤饹
	function CTestedQuestionTableAccess() {
		$this->CTblAccess (TEST_QUE_TBL);
	}

	function getQuestionsOfTest($conn, $test_id) {
		//ǽꤵΰ֤
		$condition = " WHERE test_id = '".$this->escapeSqlString($test_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function insertQuestionOfTestExe($conn, $test_id, $question_type) {
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "tested_id,";
			$index_value = "nextval('".TESTED_ID_SEQ."'), ";
		}

		$INS_ITEM = $index_item."test_id, question_type";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($test_id)."', '";
		$INS_CON .= $this->escapeSqlString($question_type)."'";
		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}
	function updateAveSdExe ($conn, $ave_score, $sddev, $tested_id) {
		$set_st = "ave_score ='".$this->escapeSqlString($ave_score)."'";
		$set_st .= ", sddev ='".$this->escapeSqlString($sddev)."'";

		//
		$where_st = "tested_id = '".$this->escapeSqlString($tested_id)."'";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	//2008/8/9 ꤵ줿
	function getQuestionCnt ($conn, $qid) {
		if ($qid=="" || !is_numeric($qid)) return false;
		$want_col = " COUNT(question_type) ";
		$condition = " WHERE question_type = '".$this->escapeSqlString($qid)."'";
		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) return false;
		$this->question_cnt = $result[0][0];
		return true;
	}
}

class CAnsweredItemTableAccess extends CTblAccess {
//줿򰷤ơ֥
	function CAnsweredItemTableAccess() {
		$this->CTblAccess (ANSWERED_ITEM_TBL);
	}

	function insertAnsweredItemExe ($conn, $tested_id, $class_student_id, $answered_item) {
		$INS_ITEM = "tested_id, class_student_id, answered_item";
		$INS_CON = "'".$this->escapeSqlString($tested_id)."', ";
		$INS_CON .= "'".$this->escapeSqlString($class_student_id)."', '";
		$INS_CON .= $this->escapeSqlString($answered_item)."'";
		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function getAnsweredItem($conn, $tested_id, $class_student_id) {
		$condition = " WHERE tested_id ='".$this->escapeSqlString($tested_id)."' AND ";
		$condition .= "class_student_id ='".$this->escapeSqlString($class_student_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}
}

class CAnsweredTextTableAccess extends CTblAccess {
//줿ƥȤ
	function CAnsweredTextTableAccess() {
		$this->CTblAccess (ANSWERED_TXT_TBL);
	}
	function insertAnsweredTextExe ($conn, $tested_id, $class_student_id, $answered_txt) {
		$INS_ITEM = "tested_id, class_student_id, answered_txt";
		$INS_CON = "'".$this->escapeSqlString($tested_id)."', ";
		$INS_CON .= "'".$this->escapeSqlString($class_student_id)."', '";
		$INS_CON .= $this->escapeSqlString($answered_txt)."'";
		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}
	function getAnsweredText($conn, $tested_id, $class_student_id) {
		$condition = " WHERE tested_id ='".$this->escapeSqlString($tested_id)."' AND ";
		$condition .= "class_student_id ='".$this->escapeSqlString($class_student_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

}

class CStudentTestTableAccess extends CTblAccess {
//ǡ򰷤ơ֥
	function CStudentTestTableAccess() {
		$this->CTblAccess (STUDENT_TEST_TBL);
	}

	function getScoreOfOneStudent($conn, $test_id, $class_student_id) {
	//ƥȤˤμּԤΥ
		$condition = " WHERE test_id='";
		$condition .= $this->escapeSqlString($test_id)."' AND class_student_id ='".$this->escapeSqlString($class_student_id)."'";
//		$result = $this->getList("present, score, sd_score", $condition, $conn);
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}

	function getScoreOfStudents($conn, $test_id) {
	//ƥȤˤּԤΥ
		$condition = " WHERE test_id='";
		$condition .= $this->escapeSqlString($test_id)."'";
		$result = $this->getList("class_student_id, present, score", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function insertScoreOfOneStudentExe($conn, $class_student_id, $test_id, $present, $score) {
		//̤ͤΥ
		if ($score == null || $score == "") {
		//̤ϿξϣȤ
			$score = 0;
		}
		$INS_ITEM = "test_id, class_student_id, present, score";
		$INS_CON = "'".$this->escapeSqlString($test_id)."','".$this->escapeSqlString($class_student_id)."','".$this->escapeSqlString($present)."','".$this->escapeSqlString($score)."'";

		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

//	function updateScoreOfStudentExe($conn, $class_student_id, $test_id, $score) {
//2006/12/20
	function updateScoreOfStudentExe($conn, $class_student_id, $test_id, $score, $present) {
		$set_st = "score ='".$this->escapeSqlString($score)."', ";
		$set_st .= "present ='".$this->escapeSqlString($present)."'";

		//
		$where_st = "test_id = '".$this->escapeSqlString($test_id);
		$where_st .= "' AND class_student_id = '".$this->escapeSqlString($class_student_id)."'";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateCommentOfTeaExe($conn, $class_student_id, $test_id, $tea_comment) {
		$set_st = "tea_ts_comment ='".$this->escapeSqlString($tea_comment)."'";
		//
		$where_st = "test_id = '".$this->escapeSqlString($test_id);
		$where_st .= "' AND class_student_id = '".$this->escapeSqlString($class_student_id)."'";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateCommentOfStExe($conn, $class_student_id, $test_id, $st_comment) {
		$set_st = "st_ts_comment ='".$this->escapeSqlString($st_comment)."'";
		//
		$where_st = "test_id = '".$this->escapeSqlString($test_id);
		$where_st .= "' AND class_student_id = '".$this->escapeSqlString($class_student_id)."'";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateSdScoresOfClassTestExe($conn, $dat_arr) {
	//ƥȺ̤顢ּԤкͤϿ
	//³ȥݥȥǡ
		//ΤȤƥåݤ¬ɸ
		$is_sucess = true;
		//
		$where_st = "";
		//SET
		$set_st = "";

		//ä롼פˤ
		for ($i = 0; $i <$dat_arr['total_num']; $i++) {
			$where_st = "test_id = '".$this->escapeSqlString($dat_arr['test_id']);
			$where_st .= "' AND class_student_id = '".$this->escapeSqlString($dat_arr['class_student_id'.$i])."'";
			$set_st = "sd_score = '".$this->escapeSqlString($dat_arr['personal_sd'.$i])."'";

			if (!$this->upDat($set_st, $where_st, $conn)) {
				$is_sucess = false;
				break;
			} else {
				$is_sucess = true;
			}
		}

		return $is_sucess;
	}
}

class CAnsweredScoreTableAccess extends CTblAccess {
//Ф륹ơ֥
	function CAnsweredScoreTableAccess() {
		$this->CTblAccess (ANSWERED_SCORE_TBL);
	}

//2006/12/21ɻѽ
	function checkIfAlreadyRegist ($conn, $tested_id, $class_student_id) {
		$condition = "";
		$condition .= " WHERE tested_id = '".$this->escapeSqlString($tested_id)."'";
		$condition .= " AND class_student_id = '".$this->escapeSqlString($class_student_id)."'";
		$result = $this->getList("score", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return true;
		}
	}

	function insertAnsweredScoreExe($conn, $tested_id, $class_student_id, $score) {
		$INS_ITEM = "tested_id, class_student_id, score";
		$INS_CON = "'".$this->escapeSqlString($tested_id)."','".$this->escapeSqlString($class_student_id)."','".$this->escapeSqlString($score)."'";

		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateAnsweredScoreExe($conn, $tested_id, $class_student_id, $score) {
		//ΥϿ
		$set_st = "score ='".$this->escapeSqlString($score)."'";
		//
		$where_st = "tested_id = '".$this->escapeSqlString($tested_id);
		$where_st .= "' AND class_student_id = '".$this->escapeSqlString($class_student_id)."'";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateSdExe ($conn, $tested_id, $class_student_id, $sd_score) {
		$set_st = "sd_score ='".$this->escapeSqlString($sd_score)."'";
		//
		$where_st = "tested_id = '".$this->escapeSqlString($tested_id);
		$where_st .= "' AND class_student_id = '".$this->escapeSqlString($class_student_id)."'";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function getScoreOfOneItem($conn, $tested_id, $class_student_id) {
	//ñ쥢ƥΥ
		$condition = " WHERE tested_id='";
		$condition .= $this->escapeSqlString($tested_id)."' AND class_student_id ='".$this->escapeSqlString($class_student_id)."'";
		$result = $this->getList("score", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}

	function getScoresOfOneItem($conn, $tested_id) {
	//ñ쥢ƥΥꥹȲ
		$condition = " WHERE tested_id='".$this->escapeSqlString($tested_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result;
		}
	}

	function getAveSdScoreOfItem($conn, $tested_id) {
		$condition = " WHERE tested_id = '";
		$condition .= $this->escapeSqlString($tested_id)."'";
		$want_col = "AVG(score) AS avg_score, STDDEV(score) AS std";

		$result = $this->getList($want_col, $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}
}

class CDepartmentTableAccess extends CTblAccess{

	function CDepartmentTableAccess() {
		$this->CTblAccess(DEPARTMENT_TBL);
	}

	function getDetailDepartmentData($conn, $department_id) {
		$condition = " WHERE department_id = '".$this->escapeSqlString($department_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}

	function insertDepartmentDataExe($conn, $get_arr) {
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "department_id,";
			$index_value = "nextval('".DEP_ID_SEQ."'), ";
		}

		$INS_ITEM = $index_item."department_nam,comment";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($get_arr['department_nam'])."',";
		$INS_CON .= "'".$this->escapeSqlString($get_arr['comment'])."'";

		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateDepartmentDataExe($conn, $dat_arr) {
		//WHERE
		$where_st = "department_id = '".$this->escapeSqlString($dat_arr['up_id'])."'";
			//set
		$set_st = "department_nam ='".$this->escapeSqlString($dat_arr['department_nam'])."'";
		$set_st .= ", comment ='".$this->escapeSqlString($dat_arr['comment'])."'";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function deleteDepartmentDataExe($conn, $department_id) {
		$condition = "department_id = '".$this->escapeSqlString($department_id)."'";
		if (!$this->delDat($condition, $conn)) {
			return false;
		} else {
			//̸ߴΤȤͤOnDelDBˤåǽ
			$this->onDelDepartmentExe($conn, $department_id);
			return true;
		}
	}

	function onDelDepartmentExe ($conn, $department_id) {
		$condition = "department_id = '".$this->escapeSqlString($department_id)."'";
		$set_st = "department_id = 0";
		$text_object = new CTextTableAccess();
		$text_object->upDat($set_st, $condition, $conn);
	}
}

class CGradeTableAccess extends CTblAccess{

	function CGradeTableAccess() {
		$this->CTblAccess(GRADE_TBL);
	}

	function getDetailGradeData($conn, $grade_id) {
		$condition = " WHERE grade_id = '".$this->escapeSqlString($grade_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}

	function insertGradeDataExe($conn, $get_arr) {
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "grade_id,";
			$index_value = "nextval('".GRADE_ID_SEQ."'), ";
		}

		$INS_ITEM = $index_item."grade_nam,comment";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($get_arr['grade_nam'])."',";
		$INS_CON .= "'".$this->escapeSqlString($get_arr['comment'])."'";
		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateGradeDataExe($conn, $dat_arr) {
		//WHERE
		$where_st = "grade_id = '".$this->escapeSqlString($dat_arr['up_id'])."'";
			//set
		$set_st = "grade_nam ='".$this->escapeSqlString($dat_arr['grade_nam'])."'";
		$set_st .= ", comment ='".$this->escapeSqlString($dat_arr['comment'])."'";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function deleteGradeDataExe($conn, $grade_id) {
		$condition = "grade_id = '".$this->escapeSqlString($grade_id)."'";
		if (!$this->delDat($condition, $conn)) {
			return false;
		} else {
			//OnDel
			$this->onDeleteGradeExe ($conn, $grade_id);
			return true;
		}
	}

	function onDeleteGradeExe ($conn, $grade_id) {
		$condition = "grade = '".$this->escapeSqlString($grade_id)."'";
		$set_st = "grade = 0";
		$class_object = new CClassInfoTableAccess();
		$class_object->upDat($set_st, $condition, $conn);
		$student_object = new CStudentTableAccess();
		$student_object->upDat($set_st, $condition, $conn);
	}
}

class CTxtLevelTableAccess extends CTblAccess{
//ƥȼ
	function CTxtLevelTableAccess() {
		$this->CTblAccess(TXT_LEVEL_TBL);
	}

	function getDetailTxtLevelData($conn, $level_id) {
		$condition = " WHERE txt_level_id = '".$this->escapeSqlString($level_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}

	function insertTxtLevelDataExe($conn, $get_arr) {
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "txt_level_id,";
			$index_value = "nextval('".TXT_LEVEL_ID_SEQ."'), ";
		}

		$INS_ITEM = $index_item."txt_level_nam,comment";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($get_arr['txt_level_nam'])."',";
		$INS_CON .= "'".$this->escapeSqlString($get_arr['comment'])."'";
		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateTxtLevelDataExe($conn, $dat_arr) {
		//WHERE
		$where_st = "txt_level_id = '".$this->escapeSqlString($dat_arr['up_id'])."'";
			//set
		$set_st = "txt_level_nam ='".$this->escapeSqlString($dat_arr['txt_level_nam'])."'";
		$set_st .= ", comment ='".$this->escapeSqlString($dat_arr['comment'])."'";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function deleteTxtLevelDataExe($conn, $level_id) {
		$condition = "txt_level_id = '".$this->escapeSqlString($level_id)."'";
		if (!$this->delDat($condition, $conn)) {
			return false;
		} else {
			//ONDEL
			$this->onDeleteTxtLevelExe ($conn, $level_id);
			return true;
		}
	}

	function onDeleteTxtLevelExe ($conn, $level_id) {
		$condition = "level = '".$this->escapeSqlString($level_id)."'";
		$set_st = "level = 0";
		$text_object = new CTextTableAccess();
		$text_object->upDat($set_st, $condition, $conn);
		$question_object = new CQuestionTableAccess();
		$question_object->upDat($set_st, $condition, $conn);
		$class_object = new CClassInfoTableAccess();
		$class_object->upDat($set_st, $condition, $conn);
	}

}

class CDifficultyTableAccess extends CTblAccess{
//ƥȼ
	function CDifficultyTableAccess() {
		$this->CTblAccess(DIFFIC_TBL);
	}

	function getDetailDifficData($conn, $difficulty_id) {
		$condition = " WHERE difficulty_id = '".$this->escapeSqlString($difficulty_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}

	function insertDifficDataExe($conn, $get_arr) {
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "difficulty_id,";
			$index_value = "nextval('".DIFFIC_ID_SEQ."'), ";
		}

		$INS_ITEM = $index_item."difficulty_nam,comment";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($get_arr['difficulty_nam'])."',";
		$INS_CON .= "'".$this->escapeSqlString($get_arr['comment'])."'";
		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updateDifficDataExe($conn, $dat_arr) {
		//WHERE
		$where_st = "difficulty_id = '".$this->escapeSqlString($dat_arr['up_id'])."'";
			//set
		$set_st = "difficulty_nam ='".$this->escapeSqlString($dat_arr['difficulty_nam'])."'";
		$set_st .= ", comment ='".$this->escapeSqlString($dat_arr['comment'])."'";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function deleteDifficDataExe($conn, $diffic_id) {
		$condition = "difficulty_id = '".$this->escapeSqlString($diffic_id)."'";
		if (!$this->delDat($condition, $conn)) {
			return false;
		} else {
			//OnDelete
			$this->onDeleteDifficExe ($conn, $diffic_id);
			return true;
		}
	}

	function onDeleteDifficExe ($conn, $dif) {
		$condition1 = "exp_dif = '".$this->escapeSqlString($dif)."'";
		$condition2 = "real_dif = '".$this->escapeSqlString($dif)."'";
		$set_st1 = "exp_dif = 0";
		$set_st2 = "real_dif = 0";
		$text_object = new CTextTableAccess();
		$text_object->upDat($set_st1, $condition1, $conn);
		$text_object->upDat($set_st2, $condition2, $conn);
		$question_object = new CQuestionTableAccess();
		$question_object->upDat($set_st1, $condition1, $conn);
		$question_object->upDat($set_st2, $condition2, $conn);
	}
}

class CPracTableAccess extends CTblAccess{
	//ơ֥˥륯饹
	function CPracTableAccess() {
		$this->CTblAccess(PRACTICE_TBL);
	}

	function setPracForStudent ($conn, $student_id) {
		//ꤴȤꥹ
		$condition = " WHERE status= 1 OR (status =0 AND ";
		$condition .= "cre_student_id = '".$this->escapeSqlString($student_id)."')";
		if (!$this->setSelResult ("*", $condition, $conn)) {
			return false;
		}
		return true;
	}

	function setPracFromPrac ($conn, $practice_id) {
		//Ȥ˴˺Ƥΰ
		$condition = " WHERE parent_practice ='".$this->escapeSqlString($practice_id)."'";
		if (!$this->setSelResult ("*", $condition, $conn)) {
			return false;
		}
		return true;
	}

	function setPracFromQues ($conn, $q_id) {
		//λȤ˴˺Ƥΰ
		$condition = " WHERE parent_question  ='".$this->escapeSqlString($q_id)."'";
		if (!$this->setSelResult ("*", $condition, $conn)) {
			return false;
		}
		return true;
	}

	function insertPracDataFromTeaExe ($conn, $post_data, $teacher_id) {
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "practice_id,";
			$index_value = "nextval('".PRACTICE_ID_SEQ."'), ";
		}

		$INS_ITEM = $index_item."practice_title,practice_text,cre_teacher_id,level, ";
		$INS_ITEM .= "department, exp_dif,answer, status, create_time, comment, img_file";
		if (isset($post_data['question_id']) && is_numeric($post_data['question_id'])) {
			$INS_ITEM .= ",parent_question";
		}
		$INS_ITEM .= ",update_time";

		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($post_data['practice_title'])."',";
		$INS_CON .= "'".$this->escapeSqlString($post_data['practice_txt'])."',";
		$INS_CON .= "'".$this->escapeSqlString($teacher_id)."',";
		$INS_CON .= "'".$this->escapeSqlString($post_data['lev'])."',";
		$INS_CON .= "'".$this->escapeSqlString($post_data['dep'])."',";
		$INS_CON .= "'".$this->escapeSqlString($post_data['dif'])."',";
		$INS_CON .= "'".$this->escapeSqlString($post_data['ans_txt'])."',";
		$INS_CON .= "'".$this->escapeSqlString($post_data['status'])."',";
		$INS_CON .= "now(), '".$this->escapeSqlString($post_data['comment'])."'";
		//2010/8/16add
		$INS_CON .= ",'".$this->escapeSqlString($post_data['img_file'])."'";

		if (isset($post_data['question_id']) && is_numeric($post_data['question_id'])) {
			$INS_CON .= ",".$post_data['question_id'];
		}
		$INS_CON .= ",now()";

		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}



	function updatePracDataFromTeaExe ($conn, $post_data) {
		$where_st = "practice_id = '".$this->escapeSqlString($post_data['up_id'])."'";
			//set
		$set_st = "practice_title ='".$this->escapeSqlString($post_data['practice_title'])."',";
		$set_st .= "practice_text ='".$this->escapeSqlString($post_data['practice_txt'])."',";
		$set_st .= "level ='".$this->escapeSqlString($post_data['lev'])."',";
		$set_st .= "department ='".$this->escapeSqlString($post_data['dep'])."',";
		$set_st .= "exp_dif ='".$this->escapeSqlString($post_data['dif'])."',";
		$set_st .= "answer ='".$this->escapeSqlString($post_data['ans_txt'])."',";
		$set_st .= "status ='".$this->escapeSqlString($post_data['status'])."',";
		$set_st .= "update_time = now(),";
		$set_st .= "comment ='".$this->escapeSqlString($post_data['comment'])."'";
//2010/8/16add
		$set_st .= ",img_file ='".$this->escapeSqlString($post_data['img_file'])."'";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function insertPracDataFromStuExe ($conn, $post_data, $student_id) {
			//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "practice_id,";
			$index_value = "nextval('".PRACTICE_ID_SEQ."'), ";
		}

		$INS_ITEM = $index_item."practice_title,practice_text,cre_student_id,level, ";
		$INS_ITEM .= "department, exp_dif,answer, status, create_time, comment,img_file";
		if (isset($post_data['question_id']) && is_numeric($post_data['question_id'])) {
			$INS_ITEM .= ",parent_question";
		}

		if (isset($post_data['practice_id']) && is_numeric($post_data['practice_id'])) {
			$INS_ITEM .= ",parent_practice";
		}
		$INS_ITEM .= ",update_time";

		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($post_data['practice_title'])."',";
		$INS_CON .= "'".$this->escapeSqlString($post_data['practice_txt'])."',";
		$INS_CON .= "'".$this->escapeSqlString($student_id)."',";
		$INS_CON .= "'".$this->escapeSqlString($post_data['lev'])."',";
		$INS_CON .= "'".$this->escapeSqlString($post_data['dep'])."',";
		$INS_CON .= "'".$this->escapeSqlString($post_data['dif'])."',";
		$INS_CON .= "'".$this->escapeSqlString($post_data['ans_txt'])."',";
		//$INS_CON .= "'".$this->escapeSqlString($post_data['status'])."',";
		$INS_CON .= "0,";
		$INS_CON .= "now(), '".$this->escapeSqlString($post_data['comment'])."'";
		$INS_CON .= ",'".$this->escapeSqlString($post_data['img_file'])."'";
		if (isset($post_data['question_id']) && is_numeric($post_data['question_id'])) {

			$INS_CON .= ",".$post_data['question_id'];
		}

		if (isset($post_data['practice_id']) && is_numeric($post_data['practice_id'])) {
			//echo "aaa<br/>";
			$INS_CON .= ",".$post_data['practice_id'];
		}
		$INS_CON .= ",now()";

		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function updatePracDataFromStuExe ($conn, $post_data,$st_id) {
		$where_st = "practice_id = '".$this->escapeSqlString($post_data['practice_id'])."'";
		$where_st .= " AND cre_student_id = '".$this->escapeSqlString($st_id)."'";

			//set
		$set_st = "practice_title ='".$this->escapeSqlString($post_data['practice_title'])."',";
		$set_st .= "practice_text ='".$this->escapeSqlString($post_data['practice_txt'])."',";
		$set_st .= "level ='".$this->escapeSqlString($post_data['lev'])."',";
		$set_st .= "department ='".$this->escapeSqlString($post_data['dep'])."',";
		$set_st .= "exp_dif ='".$this->escapeSqlString($post_data['dif'])."',";
		$set_st .= "answer ='".$this->escapeSqlString($post_data['ans_txt'])."',";
		//$set_st .= "status ='".$this->escapeSqlString($post_data['status'])."',";
		$set_st .= "update_time = now(),";
		$set_st .= "comment ='".$this->escapeSqlString($post_data['comment'])."'";

		$set_st .= ",img_file ='".$this->escapeSqlString($post_data['img_file'])."'";
		$set_st .= ",is_new = 1";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function getDetailPracticeData ($conn, $practice_id) {
		//ǡФ
		$condition = " WHERE practice_id ='".$this->escapeSqlString($practice_id)."'";
		$result = $this->getList("*", $condition, $conn);
		if ($result == false) {
			return false;
		} else {
			return $result[0];
		}
	}

	function deletePracticeOfQuestion ($conn, $question_id) {
		//ȤƸ˺ݤơٺ

	}

}

class CPracItemTableAccess extends CTblAccess{
	//Ѥ

	function CPracItemTableAccess () {
		$this->CTblAccess(PRACTICE_ITEM_TBL);
	}

	function setItemPerPracticeArr ($conn, $practice_id) {
		//ꤴȤꥹ
		$condition = " WHERE practice_id = '".$this->escapeSqlString($practice_id)."'";
		if (!$this->setSelResult ("*", $condition, $conn)) {
			return false;
		}
		return true;
	}

	function deletePracByInsert($conn, $practice_id) {
		$condition = "practice_id = '".$this->escapeSqlString($practice_id)."'";
		if (!$this->delDat($condition, $conn)) {
			return false;
		}
		return true;
	}

	function insertPracItemExe ($conn, $practice_id, $item_order,$item_txt, $is_right) {

		$INS_ITEM = "practice_id, item_order, item_txt, is_right";
		$INS_CON = "'".$this->escapeSqlString($practice_id)."',";
		$INS_CON .= "'".$this->escapeSqlString($item_order)."',";
		$INS_CON .= "'".$this->escapeSqlString($item_txt)."',";
		$INS_CON .= "'".$this->escapeSqlString($is_right)."'";

		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

}

class CPracKeyWordTableAccess extends CTblAccess{
	//ѤΥ
	function CPracKeyWordTableAccess () {
		$this->CTblAccess(PRACTICE_KEYWORD_TBL);
	}

	function setKeyWordPerPracticeArr ($conn, $practice_id) {
		//ꤴȤꥹ
		$condition = " WHERE practice_id = '".$this->escapeSqlString($practice_id)."'";
		if (!$this->setSelResult ("*", $condition, $conn)) {
			return false;
		}
		return true;
	}

	function deletePracByInsert($conn, $practice_id) {
		$condition = "practice_id = '".$this->escapeSqlString($practice_id)."'";
		if (!$this->delDat($condition, $conn)) {
			return false;
		}
		return true;
	}

	function insertKeywordExe ($conn, $practice_id, $key_word_txt) {
			//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "practice_key_word_id,";
			$index_value = "nextval('".PRAC_KEY_WORD_ID_SEQ."'), ";
		}
		$INS_ITEM = $index_item."practice_id, key_word_txt";
		$INS_CON = $index_value."'".$this->escapeSqlString($practice_id)."',";
		$INS_CON .= "'".$this->escapeSqlString($key_word_txt)."'";

		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}
}

class CPracResTableAccess extends CTblAccess{
//ƥȼ
	function CPracResTableAccess() {
		$this->CTblAccess(PRAC_RES_TBL);
	}
/*
	function insertPracResDataExe($conn, $usr_id, $practice_id, $answered, $is_right,$dep_id) {
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "prac_res_id,";
			$index_value = "nextval('".PRAC_RES_SEQ."'), ";
		}

		$INS_ITEM = $index_item."usr_id ,practice_id, practice_time, answered, is_right, department_id";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($usr_id)."',";
		$INS_CON .= "'".$this->escapeSqlString($practice_id)."',";
		$INS_CON .= "'".date("Y-m-d H:i:s")."',";
		$INS_CON .= "'".$this->escapeSqlString($answered)."',";
		$INS_CON .= "'".$this->escapeSqlString($is_right)."',";
		$INS_CON .= "'".$this->escapeSqlString($dep_id)."'";

		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}
*/
	function insertPracResDataExe($conn, $usr_id, $practice_id, $answered, $is_right,$dep_id, $duration) {
		//βϿ
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "practice_result_id,";
			$index_value = "nextval('".PRAC_RES_SEQ."'), ";
		}

		$INS_ITEM = $index_item."usr_id ,practice_id, practice_time, answered, is_right, department_id, duration";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($usr_id)."',";
		$INS_CON .= "'".$this->escapeSqlString($practice_id)."',";
		$INS_CON .= "'".date("Y-m-d H:i:s")."',";
		$INS_CON .= "'".$this->escapeSqlString($answered)."',";
		$INS_CON .= "'".$this->escapeSqlString($is_right)."',";
		//$INS_CON .= "'".$this->escapeSqlString($dep_id)."'";

		$INS_CON .= "'".$this->escapeSqlString($dep_id)."',";
		$INS_CON .= "'".$this->escapeSqlString($duration)."'";

		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function setNoFailedPracId ($conn, $usr_id) {
		//ޤФ
		$want_col = "practice_id";
		$condition = " WHERE usr_id = '".$this->escapeSqlString($usr_id)."' ";
		$condition .= "GROUP BY practice_id HAVING COUNT(practice_id) = SUM(is_right)";
		if (!$this->setSelResult ($want_col, $condition, $conn)) {
			return false;
		}
		return true;
	}

	function setPeriodId ($conn, $usr_id, $dep_id, $interval=3, $times=3) {
		//֤򤷤Ƥ
		//ǥեȤϲ33
		$want_col = "practice_id";
		$condition = " WHERE usr_id = '".$this->escapeSqlString($usr_id)."' ";
		$condition .="AND department_id = '".$this->escapeSqlString($dep_id)."' ";

		if (is_numeric($interval) && $interval >0) {
			$condition .= "AND practice_time > '";
			$condition .=date("Y-m-d H:i:s", strtotime("-".$interval." Days"))."' ";
		}
		$condition .= "GROUP BY practice_id HAVING COUNT(practice_id) = SUM(is_right)";

		if (is_numeric($interval) && $times >0) {
			$condition .= " AND COUNT(practice_id) >= ".intval($times);
		}
		if (!$this->setSelResult ($want_col, $condition, $conn)) {
			return false;
		}
		return true;
	}

	function setTotalInfoOfOne ($conn, $practice_id, $uid =0) {
		$want_col = "COUNT(practice_result_id) AS cnt, AVG(duration) AS ave_dur, ";
		$want_col .= "SUM(is_right) AS right_num, (AVG(is_right)*100) AS avg_per";
		$condition = " WHERE practice_id ='".$this->escapeSqlString($practice_id)."'";
		if ($uid <> 0) $condition .= " AND usr_id ='".$this->escapeSqlString($uid)."'";

		if (!$this->setSelResult($want_col,$condition,$conn)) {
			return false;
		}
		return true;
	}
}

class CPracFlagTableAccess extends CTblAccess{

	function CPracFlagTableAccess() {
		$this->CTblAccess(PRAC_FLAG_TBL);
	}
	function insertPracFlagDataExe($conn, $usr_id, $practice_id,$dep_id) {
		//˥ե饰Ĥ
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "practice_flag_id,";
			$index_value = "nextval('".PRAC_FLAG_SEQ."'), ";
		}

		$INS_ITEM = $index_item."usr_id ,practice_id, department_id";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($usr_id)."',";
		$INS_CON .= "'".$this->escapeSqlString($practice_id)."',";
		$INS_CON .= "'".$this->escapeSqlString($dep_id)."'";

		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function setPracticeFlagList ($conn, $uid, $dep_id) {

		$condition = " WHERE usr_id ='".$this->escapeSqlString($uid)."' AND ";
		$condition .= "department_id = '".$this->escapeSqlString($dep_id)."'";

		if (!$this->setSelResult ("practice_id", $condition, $conn)) {
			return false;
		}
		return true;
	}

	function setOnePracticeFlag ($conn, $uid, $practice_id) {
		$condition = " WHERE usr_id ='".$this->escapeSqlString($uid)."' AND ";
		$condition .= "practice_id = '".$this->escapeSqlString($practice_id)."'";

		if (!$this->setSelResult ("practice_id", $condition, $conn)) {
			return false;
		}
		return true;
	}

	function deletePracticeFlag ($conn, $uid, $prac_id) {
		$condition = " usr_id ='".$this->escapeSqlString($uid)."' AND ";
		$condition .= "practice_id ='".$this->escapeSqlString($prac_id)."'";

		if (!$this->delDat($condition, $conn)) return false;
		return true;
	}

}

class CMobileUserTableAccess extends CTblAccess{

	function CMobileUserTableAccess() {
		$this->CTblAccess(MOBILE_USR_TBL);
	}
	function insertMobileUserDataExe($conn, $usr_id, $mobile_id) {
		//˥ե饰Ĥ
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "mobile_user_id,";
			$index_value = "nextval('".PRAC_MOBILE_USER_SEQ."'), ";
		}

		$INS_ITEM = $index_item."usr_id ,mobile_id,create_time";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($usr_id)."',";
		$INS_CON .= "'".$this->escapeSqlString($mobile_id)."', now()";

		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function setMobileOfUser ($conn, $uid) {

		$condition = " WHERE usr_id ='".$this->escapeSqlString($uid)."'";
		if (!$this->setSelResult ("mobile_id", $condition, $conn)) {
			return false;
		}
		return true;
	}

	function setUserOfMobile ($conn, $mobile_id) {

		$condition = " WHERE mobile_id ='".$this->escapeSqlString($mobile_id)."'";
		if (!$this->setSelResult ("usr_id", $condition, $conn)) {
			return false;
		}
		return true;
	}

	function updateMobileUserExe ($conn, $usr_id, $mobile_id) {
		$where_st = "usr_id = '".$this->escapeSqlString($usr_id)."'";
			//set
		$set_st = "mobile_id ='".$this->escapeSqlString($mobile_id)."',";
		$set_st .= "update_time = now()";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}
}

class CPracticeShowOthersTableAccess extends CTblAccess{
//ȼ
	function CPracticeShowOthersTableAccess() {
		$this->CTblAccess(PRAC_SHOW_OTHERS_TBL);
	}

	function insertShowOtherDataExe ($conn, $uid, $practice_id) {
		$INS_ITEM = "usr_id, practice_id";

		$INS_CON .= "'".$this->escapeSqlString($uid)."',";
		$INS_CON .= "'".$this->escapeSqlString($practice_id)."'";

		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function setShowOtherDataOfUser ($conn, $uid) {
		$condition = " WHERE usr_id ='".$this->escapeSqlString($uid)."'";
		if (!$this->setSelResult ("practice_id", $condition, $conn)) {
			return false;
		}
		return true;
	}
}

class CPracCommentTbl extends CTblAccess {
	//Ф륳ȤΥǡ
	function CPracCommentTbl () {
		$this->CTblAccess(PRAC_COMMENT_TBL);
	}
	function insertPracCommentExe ($conn, $comment, $practice_id, $uid, $uname,$parent="") {
		//mySqlpostgresΰ㤤Ф
		$index_item = "";
		$index_value="";
		if (DB_TYPE=="postgres7") {
			$index_item = "prac_comment_id,";
			$index_value = "nextval('".PRAC_COMMENT_ID_SEQ."'), ";
		}

		$INS_ITEM = $index_item."prac_comment ,practice_id ,usr_id,create_time,uname";
		$INS_CON = $index_value;
		$INS_CON .= "'".$this->escapeSqlString($comment)."',";
		$INS_CON .= "'".$this->escapeSqlString($practice_id)."',";
		$INS_CON .= "'".$this->escapeSqlString($uid)."', now(),";
		$INS_CON .= "'".$this->escapeSqlString($uname)."'";

		if ($parent<>"") {
			$INS_ITEM .= ",parent_comment_id";
			$INS_CON .= ",'".$this->escapeSqlString($parent)."'";
		}

		if (!$this->insDat($INS_ITEM, $INS_CON, $conn)) {
			return false;
		} else {
			return true;
		}
	}
	function setPracCommentData ($conn, $practice_id) {
		$where_st = " WHERE practice_id = '".$this->escapeSqlString($practice_id)."'";
		$where_st .= " AND del_flag = 0 ORDER BY create_time DESC";
		if (!$this->setSelResult("*", $where_st, $conn)) {
			return false;
		}
		return true;
	}

	function positiveEval ($conn, $pc_id) {
		$where_st = "prac_comment_id = '".$this->escapeSqlString($pc_id)."'";
			//set
		$set_st = "positive = positive+1";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function negativeEval ($conn, $pc_id) {
		$where_st = "prac_comment_id = '".$this->escapeSqlString($pc_id)."'";
			//set
		$set_st = "negative = negative+1";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

	function unShownComments ($conn, $pc_id) {
		$where_st = "prac_comment_id = '".$this->escapeSqlString($pc_id)."'";
			//set
		$set_st = "del_flag = 1";

		if (!$this->upDat($set_st, $where_st, $conn)) {
			return false;
		} else {
			return true;
		}
	}

}
?>